SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000110SiT!i18npublic2008-07-18 11:032010-02-24 21:46
Reporterivan 
Assigned Toivan 
PrioritylowSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.50Fixed in Version3.45 
Summary0000110: Allow list of available language to be configured
DescriptionWe use a hardcoded list of languages in strings.inc.php for the language selection drop-down. We should either generate this list automatically from the language files available or else have a config variable.
TagsNo tags attached.
Attached Files

- Relationships
child of 0000113closedivan Store config in database 

-  Notes
User avatar (0000567)
ivan (administrator)
2009-02-03 11:10

This came up on IRC. I suggested a work-around for now:

[10:52] <SilvioTO_1970> I need to know the easiest way to hide language selector in main login page... Thanks
[10:53] <ericthefish> the easiest way would probably be to edit css
[10:53] <SilvioTO_1970> ha ok, thanks.
[10:54] <ericthefish> add this line to the bottom of your htdocs/styles/sitbase.css
[10:54] <ericthefish> #langselectform { display: none; }
[10:54] <SilvioTO_1970> ho thanks!!
[10:54] <ericthefish> you'll need to keep re-adding it each time you upgrade unfortunately
[10:55] <ericthefish> can I ask why you need to hide it?
[10:55] <SilvioTO_1970> Is a site only italian support...
[10:55] <ericthefish> ok, fair enough
[10:56] <SilvioTO_1970> ad if I want to hide only some languages? For example, leave only italian and english?
[10:58] <ericthefish> thats harder
[10:58] <ericthefish> erm.. hang on
[10:59] <ericthefish> you'll have to edit includes/strings.inc.php and find the line that begins "$availablelanguages"
[10:59] <ericthefish> then you need to edit that list so that only the languages you want are there
[11:01] <SilvioTO_1970> Ok, thanks.
[11:01] <ericthefish> no problem
User avatar (0000765)
ivan (administrator)
2009-03-09 16:46

This was added in v3.45, language can be configured via the new configuration GUI

- Issue History
Date Modified Username Field Change
2008-07-18 11:03 ivan New Issue
2008-10-26 15:41 kieran Relationship added child of 0000113
2008-12-04 11:31 kieran Status new => confirmed
2009-02-03 11:10 ivan Note Added: 0000567
2009-03-09 16:46 ivan Note Added: 0000765
2009-03-09 16:46 ivan Assigned To => ivan
2009-03-09 16:46 ivan Status confirmed => resolved
2009-03-09 16:46 ivan Resolution open => fixed
2009-03-09 16:46 ivan Fixed in Version => 3.45
2010-02-24 21:46 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker